=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libkf6bookmarks-dev (>= 6.6.0~),
@@ -21,10 +21,10 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 24.12.0~),
-               libkmailtransport-dev (>= 24.12.0~),
-               libksieve-dev (>= 4:24.12.0~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libkimap-dev (>= 24.12.2~),
+               libkmailtransport-dev (>= 24.12.2~),
+               libksieve-dev (>= 4:24.12.2~),
+               libpimcommon-dev (>= 4:24.12.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
